Package com.sun.jna.platform.win32

# Interface DdemlUtil.ConnectHandler

Enclosing class:
  DdemlUtil

public static interface DdemlUtil.ConnectHandler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `onConnect(int transactionType, Ddeml.HSZ topic, Ddeml.HSZ service, Ddeml.CONVCONTEXT convcontext, boolean sameInstance)`
  A client uses the XTYP_CONNECT transaction to establish a conversation.

- ## Method Details

  - ### onConnect

    boolean onConnect(int transactionType, Ddeml.HSZ topic, Ddeml.HSZ service, Ddeml.CONVCONTEXT convcontext, boolean sameInstance)
    A client uses the XTYP_CONNECT transaction to establish a conversation. A Dynamic Data Exchange (DDE) server callback function, DdeCallback, receives this transaction when a client specifies a service name that the server supports (and a topic name that is not NULL) in a call to the DdeConnect function.
    Parameters:
      `transactionType` - uType - The transaction type.
      `topic` - hsz1 - A handle to the topic name.
      `service` - hsz2 - A handle to the service name.
      `convcontext` - dwData1 - CONVCONTEXT structure that contains context information for the conversation. If the client is not a DDEML application, this parameter is NULL.
      `sameInstance` - dwData2 - Specifies whether the client is the same application instance as the server.
    Returns:
      true is connect can continue